Package relaxngcc.runtime

# Class NGCCTypedContentHandler

java.lang.Object
relaxngcc.runtime.NGCCTypedContentHandler

All Implemented Interfaces:
  `com.sun.msv.verifier.psvi.TypedContentHandler`

public abstract class NGCCTypedContentHandler extends Object implements com.sun.msv.verifier.psvi.TypedContentHandler
Base class for classes generated by RelaxNGCC msv mode.

## Constructor Summary

Constructors
Constructor
Description
`NGCCTypedContentHandler(com.sun.msv.verifier.psvi.TypeDetector reader)`
`NGCCTypedContentHandler(com.sun.msv.verifier.psvi.TypeDetector reader, NGCCTypedContentHandler parent)`

## Method Summary

Modifier and Type
Method
Description
`abstract boolean`
`accepted()`
`void`
`characterChunk(String literal, org.relaxng.datatype.Datatype type)`
`void`
`endAttribute(String uri, String localname, String qname, com.sun.msv.grammar.AttributeExp type)`
`void`
`endAttributePart()`
`void`
`endDocument()`
`void`
`endElement(String uri, String localname, String qname, com.sun.msv.grammar.ElementExp type)`
`abstract void`
`enterElement(String uri, String localName, String qname)`
`abstract void`
`leaveElement(String uri, String localName, String qname)`
`abstract void`
`processAttribute()`
`void`
`startAttribute(String uri, String localname, String qname)`
`void`
`startDocument(org.relaxng.datatype.ValidationContext context)`
`void`
`startElement(String uri, String localname, String qname)`
`abstract void`
`text(String value, com.sun.msv.datatype.xsd.XSDatatype type)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NGCCTypedContentHandler

public NGCCTypedContentHandler(com.sun.msv.verifier.psvi.TypeDetector reader)

### NGCCTypedContentHandler

public NGCCTypedContentHandler(com.sun.msv.verifier.psvi.TypeDetector reader, NGCCTypedContentHandler parent)

## Method Details

### enterElement

public abstract void enterElement(String uri, String localName, String qname) throws SAXException

Throws:
  `SAXException`

### leaveElement

public abstract void leaveElement(String uri, String localName, String qname) throws SAXException

Throws:
  `SAXException`

### text

public abstract void text(String value, com.sun.msv.datatype.xsd.XSDatatype type) throws SAXException

Throws:
  `SAXException`

### processAttribute

public abstract void processAttribute() throws SAXException

Throws:
  `SAXException`

### accepted

public abstract boolean accepted()

### startDocument

public void startDocument(org.relaxng.datatype.ValidationContext context) throws SAXException

Specified by:
  `startDocument` in interface `com.sun.msv.verifier.psvi.TypedContentHandler`
Throws:
  `SAXException`

### endDocument

public void endDocument() throws SAXException

Specified by:
  `endDocument` in interface `com.sun.msv.verifier.psvi.TypedContentHandler`
Throws:
  `SAXException`

### startElement

public void startElement(String uri, String localname, String qname) throws SAXException

Specified by:
  `startElement` in interface `com.sun.msv.verifier.psvi.TypedContentHandler`
Throws:
  `SAXException`

### endElement

public void endElement(String uri, String localname, String qname, com.sun.msv.grammar.ElementExp type) throws SAXException

Specified by:
  `endElement` in interface `com.sun.msv.verifier.psvi.TypedContentHandler`
Throws:
  `SAXException`

### startAttribute

public void startAttribute(String uri, String localname, String qname) throws SAXException

Specified by:
  `startAttribute` in interface `com.sun.msv.verifier.psvi.TypedContentHandler`
Throws:
  `SAXException`

### endAttribute

public void endAttribute(String uri, String localname, String qname, com.sun.msv.grammar.AttributeExp type) throws SAXException

Specified by:
  `endAttribute` in interface `com.sun.msv.verifier.psvi.TypedContentHandler`
Throws:
  `SAXException`

### endAttributePart

public void endAttributePart() throws SAXException

Specified by:
  `endAttributePart` in interface `com.sun.msv.verifier.psvi.TypedContentHandler`
Throws:
  `SAXException`

### characterChunk

public void characterChunk(String literal, org.relaxng.datatype.Datatype type) throws SAXException

Specified by:
  `characterChunk` in interface `com.sun.msv.verifier.psvi.TypedContentHandler`
Throws:
  `SAXException`